Package com.independentsoft.office.word.sections

# Class DocumentGrid

java.lang.Object
com.independentsoft.office.word.sections.DocumentGrid

public class DocumentGrid extends Object
The Class DocumentGrid.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentGrid()`
  Instantiates a new document grid.
  `DocumentGrid​(int linePitch)`
  Instantiates a new document grid.
  `DocumentGrid​(int linePitch, int characterPitch)`
  Instantiates a new document grid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentGrid`
  `clone()`
  `long`
  `getCharacterPitch()`
  Gets the character pitch.
  `long`
  `getLinePitch()`
  Gets the line pitch.
  `DocumentGridType`
  `getType()`
  Gets the type.
  `void`
  `setCharacterPitch​(long characterPitch)`
  Sets the character pitch.
  `void`
  `setLinePitch​(long linePitch)`
  Sets the line pitch.
  `void`
  `setType​(DocumentGridType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentGrid

    public DocumentGrid()
    Instantiates a new document grid.

  - ### DocumentGrid

    public DocumentGrid​(int linePitch)
    Instantiates a new document grid.
    Parameters:
      `linePitch` - the line pitch

  - ### DocumentGrid

    public DocumentGrid​(int linePitch, int characterPitch)
    Instantiates a new document grid.
    Parameters:
      `linePitch` - the line pitch
      `characterPitch` - the character pitch

- ## Method Details

  - ### clone

    public DocumentGrid clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCharacterPitch

    public long getCharacterPitch()
    Gets the character pitch.
    Returns:
      the character pitch

  - ### setCharacterPitch

    public void setCharacterPitch​(long characterPitch)
    Sets the character pitch.
    Parameters:
      `characterPitch` - the new character pitch

  - ### getLinePitch

    public long getLinePitch()
    Gets the line pitch.
    Returns:
      the line pitch

  - ### setLinePitch

    public void setLinePitch​(long linePitch)
    Sets the line pitch.
    Parameters:
      `linePitch` - the new line pitch

  - ### getType

    public DocumentGridType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(DocumentGridType type)
    Sets the type.
    Parameters:
      `type` - the new type